OJTestRunnerText Class Reference

List of all members.

## Public Member Functions

(void) | - afterRun`[implementation]`
(void) | - beforeRequire`[implementation]`
(OJTest) | - getTest:`[implementation]`
(id) | - init`[implementation]`
(CPString) | - nextTest:`[implementation]`
(void) | - report`[implementation]`
(OJTestResult) | - run:`[implementation]`
(OJTestResult) | - run:wait:`[implementation]`
(void) | - startWithArguments:`[implementation]`

## Static Public Member Functions

(void) | + runClass:`[implementation]`
(void) | + runTest:`[implementation]`

## Detailed Description

Definition at line 12 of file OJTestRunnerText.j.

## Member Function Documentation

- (void) afterRun |  |  | `[implementation]`

Definition at line 84 of file OJTestRunnerText.j.

- (void) beforeRequire |  |  | `[implementation]`

Definition at line 79 of file OJTestRunnerText.j.

- (OJTest) getTest: |  | (CPString) | suiteClassName | `[implementation]`

Definition at line 26 of file OJTestRunnerText.j.

- (id) init |  |  | `[implementation]`

Definition at line 17 of file OJTestRunnerText.j.

- (CPString) nextTest: |  | (CPArray) | arguments | `[implementation]`

Definition at line 89 of file OJTestRunnerText.j.

- (void) report |  |  | `[implementation]`

Definition at line 121 of file OJTestRunnerText.j.

- (OJTestResult) run: |  | (OJTest) | suite | `[implementation]`

Definition at line 105 of file OJTestRunnerText.j.

- (OJTestResult) run: |  | (OJTest) | suite
wait: |  | (BOOL) | wait
|  |  | `[implementation]`

Definition at line 94 of file OJTestRunnerText.j.

+ (void) runClass: |  | (Class) | aClass | `[implementation]`

Definition at line 116 of file OJTestRunnerText.j.

+ (void) runTest: |  | (OJTest) | suite | `[implementation]`

Definition at line 110 of file OJTestRunnerText.j.

- (void) startWithArguments: |  | (CPArray) | args | `[implementation]`

Definition at line 40 of file OJTestRunnerText.j.

The documentation for this class was generated from the following file:

- Frameworks/OJUnit/OJTestRunnerText.j

All Classes Files Functions Variables